Bug 678284 - Calc crashes during cell select with keys
Calc crashes during cell select with keys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 08:07 EST by Tomáš Bžatek
Modified: 2015-03-03 17:58 EST (History)
4 users (show)

See Also:
Fixed In Version: libreoffice-3.3.1.2-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 22:15:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (9.96 KB, text/plain)
2011-02-17 08:07 EST, Tomáš Bžatek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 33756 None None None Never

  None (edit)
Description Tomáš Bžatek 2011-02-17 08:07:48 EST
Created attachment 479318 [details]
backtrace

Description of problem:
crash occurred during moving selection across several columns using keyboard.

Version-Release number of selected component (if applicable):
libreoffice-core-3.3.0.4-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. Open the attached XLS
2. Press Ctrl+Shift+<right arrow>
3. Select until end of the line
4. Press Ctrl+Shift+<left arrow> to go back to the first column
5. segfault
Comment 2 David Tardon 2011-02-17 09:34:35 EST
Already fixed in master.
Comment 3 David Tardon 2011-02-17 09:43:50 EST
should be okay in libreoffice-3.3.1.2-2.fc15
Comment 4 Fedora Update System 2011-03-03 12:19:54 EST
Package libreoffice-3.3.1.2-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.1.2-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.1.2-3.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-03-04 04:53:44 EST
libreoffice-3.3.1.2-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libreoffice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libreoffice-3.3.1.2-3.fc15
Comment 6 Fedora Update System 2011-03-08 22:15:08 EST
libreoffice-3.3.1.2-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.